List older report types
curl --request GET \
--url https://api.hellotracks.com/v1/reports/types \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/reports/types"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/reports/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hellotracks.com/v1/reports/types")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"type": "checkins",
"label": "Check-ins",
"filename": "checkins-report",
"canSelectMembers": true,
"canSelectPlaces": false,
"allowMultipleDates": true,
"allowMultipleAccounts": true,
"maxDays": 10000,
"defaultFormat": "csv",
"supportsRecurring": true,
"requiresFormTemplate": false,
"availableFormats": [
"xlsx",
"csv",
"geojson",
"pdf"
],
"columns": [],
"options": [
{
"key": "mode",
"type": "select",
"defaultValue": "stops",
"values": [
{
"value": "stops",
"label": "Stops"
},
{
"value": "both",
"label": "Both"
},
{
"value": "manual",
"label": "Manual"
}
]
}
]
}
]
},
"error": null,
"meta": {
"path": "/v1/reports/types",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Reports
List older report types
Lists the older report types with their formats, date limits, columns and options. This is the older reporting API; for new work use the newer routes (GET /reports/catalog, POST /reports/preview, POST /reports/run, /reports/saved). Admins, operators and the company key may call it; workers get 403 permission_denied.
GET
/
reports
/
types
List older report types
curl --request GET \
--url https://api.hellotracks.com/v1/reports/types \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/reports/types"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/reports/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hellotracks.com/v1/reports/types")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"type": "checkins",
"label": "Check-ins",
"filename": "checkins-report",
"canSelectMembers": true,
"canSelectPlaces": false,
"allowMultipleDates": true,
"allowMultipleAccounts": true,
"maxDays": 10000,
"defaultFormat": "csv",
"supportsRecurring": true,
"requiresFormTemplate": false,
"availableFormats": [
"xlsx",
"csv",
"geojson",
"pdf"
],
"columns": [],
"options": [
{
"key": "mode",
"type": "select",
"defaultValue": "stops",
"values": [
{
"value": "stops",
"label": "Stops"
},
{
"value": "both",
"label": "Both"
},
{
"value": "manual",
"label": "Manual"
}
]
}
]
}
]
},
"error": null,
"meta": {
"path": "/v1/reports/types",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}